# Function bind

- bind(context: any, fn: any, ...args: any): Function

  Returns a function which calls function `fn` bound to `self` (`self` becomes the `this` for `fn`). You can supply optional `args` that are prebound to the function. This feature is also known as partial application, as distinguished from function currying.

  #### Parameters

  - context: any

    Context which `fn` should be evaluated in.

  - fn: any

    Function to be bound.

  - ...args: any

  #### Returns Function

  Function that wraps the `fn` with all the specified bindings.

  - Defined in src/shared/utils.js:677